package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.PersonalChargingRecord;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface PersonalChargingRecordMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PersonalChargingRecord record);

    int insertOrUpdate(PersonalChargingRecord record);

    int insertOrUpdateSelective(PersonalChargingRecord record);

    int insertSelective(PersonalChargingRecord record);

    PersonalChargingRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PersonalChargingRecord record);

    int updateByPrimaryKey(PersonalChargingRecord record);

    int updateBatch(List<PersonalChargingRecord> list);

    int updateBatchSelective(List<PersonalChargingRecord> list);

    int batchInsert(@Param("list") List<PersonalChargingRecord> list);

    PersonalChargingRecord selectByTransactionCode(String transactionCode);
}